# SoarCustomer
This is a Hetzner API provider for Customer data.

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'soar_customer'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install soar_customer

## Testing
If you desire to run docker locally without needing the Fake Service you, you can set your container IP here below and have the tests run against it.

```bash
set -x TEST_HOST 192.168.99.100 
export TEST_HOST=192.168.99.100
bundle
rake docker 
```

To run tests as per usual (which will startup a local sinatra service to be a fake service)

```bash
bundle
rake 
```

##### Travis CI requires Docker unfortunately for the Fake Service to run.
The fake service can be found in spec/mock_hapi/

## Usage

#### Before use the following configuration details will need to be injected 
1. username - forms part of credentials 
2. password - forms part of credentials
3. server_url - the hetzner api service URL you intend this provider to use

## License

The gem is available as open source under the terms of the [MIT License](http://opensource.org/licenses/MIT).

